﻿@model IEnumerable<AlisProject.Models.Driver>

@{
    ViewBag.Title = "Index";
}

     <h2>لیست</h2>

<p>
    @Html.ActionLink("افزودن", "Create")
</p>
<table id="example" class="display" style="width:100%">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Username)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.VPassword)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.First_Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Last_Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.National_Code)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.License_Number)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Status)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.LastLocation)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.LastLocationTime)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.score)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Username)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.VPassword)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.First_Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Last_Name)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.National_Code)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.License_Number)
            </td>
            <td>
                @Html.DisplayFor(model => item.Status)
            </td>
            <td>
                @Html.DisplayFor(model => item.LastLocation)
            </td>
            <td>
                @Html.DisplayFor(model => item.LastLocationTime)
            </td>
            <td>
                @Html.DisplayFor(model => item.score)
            </td>
            <td>
                @Html.ActionLink("ویرایش", "Edit", new { id = item.ObjectId }) |
                @Html.ActionLink("مشاهده جزئیات", "Details", new { id = item.ObjectId }) |
                @Html.ActionLink("حذف", "Delete", new { id = item.ObjectId })
            </td>
        </tr>
        }
    </tbody>
</table>

@section script{
    <!-- Content Here -->

    <script sec="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function () {
            $('#example').DataTable();
        });
    </script>
}